# RealPage Styles Contributing Guide
Before contributing to this project, please look through the following guide to
allow us to keep a consistent and maintainable codebase throughout the life of
this project.

You can also contribute to this guide! This document should be considered living
and project maintainers are open to bettering the standards and practices below.
If you want to contribute to these guidelines, please submit a pull request!

_You'll note that the current state of this project does not follow all of the
guidelines mentioned below. :( We're currently working to refactor and
standardize this project to adhere to the following standards._

## Formatting and Standards
There is no current set of standards for formatting and naming for this project.
Please follow the patterns and commonalities within this project until a set of
standards and recommendations are present.

## Branching and Commits
This project follows a specific branching structure for all features, bugfixes,
etc.
- New branches should be created off of the `master` branch
- Branch names must be specific enough to reference a story, task, or fix.
  - e.g. `rp-123-search-box-accessibility-recoloring`
- Commits messages should be written to [common best practices](http://chris.beams.io/posts/git-commit/)
for readability

## Submitting a Pull Request
All pull request should be made against the `master` branch at this time. Please
follow the template provided when submitting a pull request. This will require:
  - A short description of the changes made in this request
  - A listing of members to be tagged for review for this request

Before accepting a merge request, reviewers should publicly comment with an
approval. (+1, :thumbsup:, LGTM) This allows all team members and the submitter
to know the current state of the pull request in the acceptance process.
