module.exports = function(grunt) {
  require('jit-grunt')(grunt);

  grunt.initConfig({
    copy: {
      main: {
        expand: true,
        cwd: 'node_modules/@realpage/foundation-ui-library',
        src: '**',
        dest: 'sass/dependencies/realpage/foundation-ui-library/'
      },
    },
    sass: {
      dev: {
        options: {
          style: 'expanded'
        },
        files: {
          'dist/styles.css': 'sass/realpage-styles.scss'
        }
      },
      dist: {
        options: {
          style: 'compressed'
        },
        files: {
          'dist/styles.css': 'sass/realpage-styles.scss'
        }
      }
    },
    watch: {
      styles: {
        files: [
          'sass/**/*.sass',
          'sass/**/*.scss'
        ],
        tasks: ['sass'],
        options: {
          nospawn: true
        }
      }
    }
  });

  grunt.registerTask('build', ['copy', 'sass:dev']);
  grunt.registerTask('build:dev', ['copy', 'sass:dev']);
  grunt.registerTask('build:dist', ['copy', 'sass:dist']);
  grunt.registerTask('default', ['build:dev', 'watch']);
};
